/*******************************************************************************
 * FoxTestDummySpawner generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxTestDummySpawner extends PlayerStart
    hidecategories(Navigation,Lighting,LightColor,Force,Collision);

var FoxPawn MyTestDummyAI;
var() float RespawnTimer;
var() int PresetID;
var() bool bDefaultChar;
var() bool bIdle;

simulated event PostBeginPlay()
{
    super(Actor).PostBeginPlay();
    SetTimer(1.0, true, 'TickMyDummy');
    //return;    
}

function TickMyDummy()
{
    // End:0x8B
    if(!IsTimerActive('SpawnNewAI') && ((MyTestDummyAI == none) || MyTestDummyAI.IsInjured()) || !MyTestDummyAI.IsAliveAndWell())
    {
        SetTimer(RespawnTimer, false, 'SpawnNewAI');
    }
    //return;    
}

function SpawnNewAI()
{
    local FoxAIControllerInterface NewController;
    local FoxPawn NewPawn;
    local PlayerStart Start;
    local FoxPRI FoxPRI;
    local int MyTeamIndex;
    local FoxDataStore_Unlockables UnlockablesDataStore;

    UnlockablesDataStore = FoxDataStore_Unlockables(class'UIInteraction'.static.GetDataStoreClient().FindDataStore('FoxUnlockables'));
    MyTeamIndex = 1;
    // End:0x92
    if(!bIdle)
    {
        NewController = Spawn(class'FoxAIControllerInterface_IdleWander', none);
    }
    // End:0xB5
    else
    {
        NewController = Spawn(class'FoxAIControllerInterface_Idler', none);
    }
    Start = self;
    NewPawn = Spawn(class<FoxPawn>(DynamicLoadObject("FoxGameContent_CHA.FoxPawn_TestDummy", class'Class')),,, Start.Location, Start.Rotation);
    NewPawn.RotationRate.Yaw = 25000;
    NewPawn.AimOffsetInterpSpeed = 4.0;
    NewController.SetTeam(MyTeamIndex);
    FoxPRI = FoxPRI(NewController.PlayerReplicationInfo);
    FoxPRI.Loadout.DefaultPawnClass = NewPawn.Class;
    // End:0x2AD
    if(PresetID > -1)
    {
        FoxPRI.Loadout.SelectAvatarIndex(PresetID);
    }
    FoxPRI.Loadout.ChangeLowerBody(((bDefaultChar) ? 0 : Rand(UnlockablesDataStore.LowerBodyProviderArray.Length)));
    FoxPRI.Loadout.ChangeUpperBody(((bDefaultChar) ? 0 : Rand(UnlockablesDataStore.UpperBodyProviderArray.Length)));
    FoxPRI.Loadout.ChangeHelmet(((bDefaultChar) ? 0 : Rand(UnlockablesDataStore.HelmetProviderArray.Length)));
    FoxPRI.Loadout.ChangeCamo(1);
    FoxPRI.Loadout.ChangeGearSlot1(3);
    NewController.Possess(NewPawn, false);
    WorldInfo.Game.AddDefaultInventory(NewPawn);
    // End:0x4D4
    if(MyTestDummyAI != none)
    {
        MyTestDummyAI.Destroy();
    }
    NewPawn.RestoreMeshVisibility();
    MyTestDummyAI = NewPawn;
    //return;    
}

defaultproperties
{
    RespawnTimer=1.0
    PresetID=-1
    bIdle=true
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxTestDummySpawner.CollisionCylinder'
    CylinderComponent=CollisionCylinder
    Components(0)=none
    Components(1)=none
    Components(2)=none
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxTestDummySpawner.CollisionCylinder'
    Components(3)=CollisionCylinder
    Components(4)=none
    bStatic=false
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxTestDummySpawner.CollisionCylinder'
    CollisionComponent=CollisionCylinder
}